Number Settings
All operations require authentication.
List numbersProduction
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ aliases \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a number serviceProduction
Path parameters
Your line number
Response
IAM resource metadata
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ aliases/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "serviceName": "string"}
Change service contactsProduction
Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.
Path parameters
Your line number
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ aliases/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
Your line number
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ aliases/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
Your line number
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ aliases/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"Check for special numbersProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ hasSpecialNumbers \
-H "authorization: Bearer $OVH_TOKEN"true
List numbersProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ number \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a numberProduction
Path parameters
The name of your billingAccount
Name of the service
Response
Description of the service
Feature enabled on the number
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlParent of the service (if it is part of a pool)
Name of the service
All existing types
aliaslineExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ number/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "featureType": "aiAgent", "partOfPool": "string", "serviceName": "string", "serviceType": "alias"}
Update a numberProduction
Path parameters
The name of your billingAccount
Name of the service
Request body (required)
Description of the service
Feature enabled on the number
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlParent of the service (if it is part of a pool)
Name of the service
All existing types
aliaslineResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ number/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Cancel a scheduled conversion to lineProduction
Path parameters
The name of your billingAccount
Name of the service
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ number/ {serviceName}/ cancelConvertToLine \
-H "authorization: Bearer $OVH_TOKEN"Change the number feature typeProduction
Path parameters
The name of your billingAccount
Name of the service
Request body (required)
The new feature of the number
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlResponse
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ number/ {serviceName}/ changeFeatureType \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Schedule a conversion to lineProduction
Path parameters
The name of your billingAccount
Name of the service
Request body (required)
The future offer of the converted number
Response
Actual action that will be executed
convertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgradePlanned execution date
Current status of the task
doingdoneerrorpausetodoType of operation that will be executed
lineofferoptionphoneExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ number/ {serviceName}/ convertToLine \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "convertToAlias", "executionDate": "2024-01-01T12:00:00Z", "status": "doing", "taskId": 0, "type": "line"}
List line offers for conversionProduction
Path parameters
The name of your billingAccount
Name of the service
Response
Informations related to a line contracts
Informations related to a line offer
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ number/ {serviceName}/ convertToLineAvailableOffers \
-H "authorization: Bearer $OVH_TOKEN"{ "contracts": [ { "content": "string", "name": "string", "url": "string" } ], "offers": [ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } } ]}
List premium rate numbersProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ rsva \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a premium rate numberProduction
Path parameters
The name of your billingAccount
Response
Special number category
accessannouncedconferencingcontentsAutocontentsManualdirectorygameslinkingm2mrelationshipExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ rsva/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "serviceName": "string", "typology": "access"}
Update a premium rate numberProduction
Path parameters
The name of your billingAccount
Request body (required)
Special number category
accessannouncedconferencingcontentsAutocontentsManualdirectorygameslinkingm2mrelationshipResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ rsva/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"List allowed rate codesProduction
Path parameters
The name of your billingAccount
Response
The Rsva rate code
Price per call
Price per minute
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ rsva/ {serviceName}/ allowedRateCodes \
-H "authorization: Bearer $OVH_TOKEN"[ { "code": "string", "pricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "pricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 } }]
Cancel the scheduled rate codeProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ rsva/ {serviceName}/ cancelScheduledRateCode \
-H "authorization: Bearer $OVH_TOKEN"Get the current rate codeProduction
Path parameters
The name of your billingAccount
Response
Cancelable datetime deadline for the new scheduled rateCode
Effective datetime
Price per call
Price in minute
Scheduled rate code
Repayment per call
Repayment per minute
Fees concerning rateCode update
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ rsva/ {serviceName}/ currentRateCode \
-H "authorization: Bearer $OVH_TOKEN"{ "cancelLimitDatetime": "2024-01-01T12:00:00Z", "effectiveDatetime": "2024-01-01T12:00:00Z", "pricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "pricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "rateCode": "string", "repaymentPricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "repaymentPricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "updateRateCodePriceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }}
Schedule a rate codeProduction
Path parameters
The name of your billingAccount
Request body (required)
The specified rate code
Response
Cancelable datetime deadline for the new scheduled rateCode
Effective datetime
Price per call
Price in minute
Scheduled rate code
Repayment per call
Repayment per minute
Fees concerning rateCode update
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ rsva/ {serviceName}/ scheduleRateCode \
-H "authorization: Bearer $OVH_TOKEN"{ "cancelLimitDatetime": "2024-01-01T12:00:00Z", "effectiveDatetime": "2024-01-01T12:00:00Z", "pricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "pricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "rateCode": "string", "repaymentPricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "repaymentPricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "updateRateCodePriceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }}
Get the scheduled rate codeProduction
Path parameters
The name of your billingAccount
Response
Cancelable datetime deadline for the new scheduled rateCode
Effective datetime
Price per call
Price in minute
Scheduled rate code
Repayment per call
Repayment per minute
Fees concerning rateCode update
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ rsva/ {serviceName}/ scheduledRateCode \
-H "authorization: Bearer $OVH_TOKEN"{ "cancelLimitDatetime": "2024-01-01T12:00:00Z", "effectiveDatetime": "2024-01-01T12:00:00Z", "pricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "pricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "rateCode": "string", "repaymentPricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "repaymentPricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "updateRateCodePriceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }}
List schedulersProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ scheduler \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a schedulerProduction
Path parameters
The name of your billingAccount
Response
Time zones available for scheduled events time definitions
Europe/BerlinEurope/BrusselsEurope/LondonEurope/MadridEurope/ParisEurope/ZurichExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ scheduler/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "serviceName": "string", "timeZone": "Europe/Berlin"}
Update a schedulerProduction
Path parameters
The name of your billingAccount
Request body (required)
Time zones available for scheduled events time definitions
Europe/BerlinEurope/BrusselsEurope/LondonEurope/MadridEurope/ParisEurope/ZurichResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ scheduler/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"List scheduler eventsProduction
Path parameters
The name of your billingAccount
Query parameters
Filter the value of categories property (=)
holidaysscheduler1scheduler2scheduler3Filter the value of dateEnd property (>=)
Filter the value of dateEnd property (<=)
Filter the value of dateStart property (>=)
Filter the value of dateStart property (<=)
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a scheduler eventProduction
Path parameters
The name of your billingAccount
The unique ICS event identifier
Response
The category of the event
holidaysscheduler1scheduler2scheduler3The ending date of the event
The beginning date of the event
The unique ICS event identifier
Example uses billingAccount = string, serviceName = string, uid = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events/ {uid} \
-H "authorization: Bearer $OVH_TOKEN"{ "categories": "holidays", "dateEnd": "2024-01-01T12:00:00Z", "dateStart": "2024-01-01T12:00:00Z", "description": "string", "title": "string", "uid": "string"}
Create a scheduler eventProduction
Path parameters
The name of your billingAccount
Request body (required)
The category of the event
holidaysscheduler1scheduler2scheduler3The ending date of the event
The beginning date of the event
The descritpion of the event
The title of the event
The unique ICS event identifier
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events \
-H "authorization: Bearer $OVH_TOKEN"Delete a scheduler eventProduction
Path parameters
The name of your billingAccount
The unique ICS event identifier
Response
Example uses billingAccount = string, serviceName = string, uid = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events/ {uid} \
-H "authorization: Bearer $OVH_TOKEN"Update a scheduler eventProduction
Path parameters
The name of your billingAccount
The unique ICS event identifier
Request body (required)
The category of the event
holidaysscheduler1scheduler2scheduler3The ending date of the event
The beginning date of the event
The unique ICS event identifier
Response
Example uses billingAccount = string, serviceName = string, uid = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events/ {uid} \
-H "authorization: Bearer $OVH_TOKEN"Import an ICS calendarProduction
Path parameters
The name of your billingAccount
Request body (required)
The URL of your ICS formated calendar
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ importIcsCalendar \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List call filtering servicesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ screen \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get call filtering settingsProduction
Path parameters
The name of your billingAccount
Response
Type of screen list
blacklistdisabledwhitelistType of screen list
blacklistdisabledwhitelistExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ screen/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "incomingScreenList": "blacklist", "outgoingScreenList": "blacklist", "serviceName": "string"}
Update call filtering settingsProduction
Path parameters
The name of your billingAccount
Request body (required)
Type of screen list
blacklistdisabledwhitelistType of screen list
blacklistdisabledwhitelistResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ screen/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"List filtering rulesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ screen/ {serviceName}/ screenLists \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a filtering ruleProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Nature of screen list
faxinternationalservicesspecialvoicemailType of screen list
incomingBlackListincomingWhiteListoutgoingBlackListoutgoingWhiteListExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ screen/ {serviceName}/ screenLists/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "callNumber": "string", "id": 0, "nature": "fax", "status": "string", "type": "incomingBlackList"}
Create a filtering ruleProduction
Path parameters
The name of your billingAccount
Request body (required)
The callNumber of the generic screen list
The nature of the generic screen list
faxinternationalservicesspecialvoicemailThe type of the generic screen list
incomingBlackListincomingWhiteListoutgoingBlackListoutgoingWhiteListResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ screen/ {serviceName}/ screenLists \
-H "authorization: Bearer $OVH_TOKEN"Delete a filtering ruleProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ screen/ {serviceName}/ screenLists/ {id} \
-H "authorization: Bearer $OVH_TOKEN"List time condition servicesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ timeCondition \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a time condition serviceProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ timeCondition/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "serviceName": "string"}
List time conditionsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a time conditionProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Day of the time condition
fridayholidaymondaysaturdaysundaythursdaytuesdaywednesdayPolicy of the time condition
availableslot1slot2slot3Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "day": "friday", "hourBegin": "string", "hourEnd": "string", "id": 0, "policy": "available", "status": "string"}
Create a time conditionProduction
Path parameters
The name of your billingAccount
Request body (required)
The day of the time condition
fridayholidaymondaysaturdaysundaythursdaytuesdaywednesdayThe hour where the time condition begins (format : hhmm)
The hour where the time condition ends (format : hhmm)
The policy
availableslot1slot2slot3Response
Day of the time condition
fridayholidaymondaysaturdaysundaythursdaytuesdaywednesdayPolicy of the time condition
availableslot1slot2slot3Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition \
-H "authorization: Bearer $OVH_TOKEN"{ "day": "friday", "hourBegin": "string", "hourEnd": "string", "id": 0, "policy": "available", "status": "string"}
Delete a time conditionProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update a time conditionProduction
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Day of the time condition
fridayholidaymondaysaturdaysundaythursdaytuesdaywednesdayPolicy of the time condition
availableslot1slot2slot3Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Get time condition optionsProduction
Path parameters
The name of your billingAccount
Response
Number associated to the first slot action
Action type executed when the first slot is used
numbervoicemailNumber associated to the second slot action
Action type executed when the second slot is used
numbervoicemailNumber associated to the third slot action
Action type executed when the third slot is used
numbervoicemailStatus of time conditions
deleteddisabledenabledTimeout value of the time condition
51015202530354045505560657075808590Number associated to the unavailable slot action
Action type executed when the unavailable slot is used
numbervoicemailExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ options \
-H "authorization: Bearer $OVH_TOKEN"{ "slot1Number": "string", "slot1Type": "number", "slot2Number": "string", "slot2Type": "number", "slot3Number": "string", "slot3Type": "number", "status": "deleted", "timeout": 5, "unavailableNumber": "string", "unavailableType": "number"}
Update time condition optionsProduction
Path parameters
The name of your billingAccount
Request body (required)
Number associated to the first slot action
Action type executed when the first slot is used
numbervoicemailNumber associated to the second slot action
Action type executed when the second slot is used
numbervoicemailNumber associated to the third slot action
Action type executed when the third slot is used
numbervoicemailStatus of time conditions
deleteddisabledenabledTimeout value of the time condition
51015202530354045505560657075808590Number associated to the unavailable slot action
Action type executed when the unavailable slot is used
numbervoicemailResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ options \
-H "authorization: Bearer $OVH_TOKEN"